Security restrictions bypass in HashiCorp Vault



Published: 2021-11-30 | Updated: 2022-08-04
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2021-43998
CWE-ID CWE-264
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Vault
Web applications / Modules and components for CMS

Vault Enterprise
Web applications / Modules and components for CMS

Vendor HashiCorp

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU66115

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2021-43998

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a remote user to escalate privileges within the application.

The vulnerability exists due to templated ACL policies always match the first-created entity alias if multiple entity aliases exist for a specified entity and mount combination. A remote user can trigger incorrect policy enforcement.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Vault: 1.8.0 - 1.8.4, 1.7.0 - 1.7.5

Vault Enterprise: 1.8.0 - 1.8.4, 1.7.0 - 1.7.5


CPE2.3 External links

http://discuss.hashicorp.com/t/hcsec-2021-30-vaults-templated-acl-policies-matched-first-created-alias-per-entity-and-auth-backend/32132

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###